This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 542812 - [abrt] crash detected in blueman-1.21-2.fc12
[abrt] crash detected in blueman-1.21-2.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
15
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:b4d53965
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-30 15:30 EST by Alrik
Modified: 2016-05-11 14:24 EDT (History)
187 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:37:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (752 bytes, text/plain)
2009-11-30 15:30 EST, Alrik
no flags Details
A quick patch (1.34 KB, patch)
2010-11-28 18:35 EST, mattventura
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 673759 None None None Never

  None (edit)
Description Alrik 2009-11-30 15:30:51 EST
abrt detected a crash.

Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/blueman-applet 
component: blueman
executable: /usr/bin/blueman-applet
kernel: 2.6.31.5-127.fc12.x86_64
package: blueman-1.21-2.fc12
uuid: b4d53965
Comment 1 Alrik 2009-11-30 15:30:54 EST
Created attachment 374878 [details]
File: backtrace
Comment 2 Bradley 2010-01-10 17:58:35 EST
This dies on startup, because /tmp/blueman-applet-{pid} has a stale pid file. The |kill| call fails because this happens to be packagekitd for me, but presumably sometimes its a process run by the user where the kill call would work, even if its a different process being killed.
Comment 3 Elad Alfassa 2010-01-18 09:33:15 EST
(In reply to comment #2)
> This dies on startup, because /tmp/blueman-applet-{pid} has a stale pid file.
> The |kill| call fails because this happens to be packagekitd for me, but
> presumably sometimes its a process run by the user where the kill call would
> work, even if its a different process being killed.    

In that case, it should check that the pid in the file is actually the pid of blueman-applet before it kills the process with this pid.
Comment 4 Jon Hamelin 2010-03-10 20:35:46 EST

Comment
-----
restarted after  update
Comment 5 BK 2010-03-11 11:25:39 EST

How to reproduce
-----
1. Setup blueman-applet to start when starting session
2. Boot machine with BT dongle removed
3. Login
Comment 6 Ira Malinich 2010-03-12 01:55:58 EST

How to reproduce
-----
1. Boot
2. Login
Comment 7 Batucador 2010-03-14 10:19:49 EDT

Comment
-----
don't know. But there is no bluetooth device in my computer ^^
Comment 8 Todd Savoie 2010-03-20 04:39:55 EDT

How to reproduce
-----
1. Boot system
2.
3.


Comment
-----
Boot system
Comment 9 Matteo Pacini 2010-03-23 07:52:40 EDT

How to reproduce
-----
1.Login (graphical way)
2.
3.


Comment
-----
After the normal login, I saw the "red lamp" in my system tray.
Comment 10 francesco.pasqualetti 2010-03-23 09:33:55 EDT

Comment
-----
Happens on boot.
Comment 11 Jeffrey C. Ollie 2010-03-23 18:35:25 EDT

How to reproduce
-----
Booting up and connecting bluetooth mouse

Comment
-----
Booting up and connecting bluetooth mouse
Comment 12 David Sommerseth 2010-03-24 04:20:23 EDT

How to reproduce
-----
1. Blueman is started automatically at login


Comment
-----
The general Bluetooth state seems to be a bit bogus.  The standard Gnome Bluetooth applet shows that Bluetooth is disabled, while the laptop itself indicates that bluetooth is enabled.  In these cases  Blueman always crashes at startup.
Comment 13 Dan 2010-03-27 11:02:03 EDT

How to reproduce
-----
1. Boot up the machine
2. Log in
3. Go away for about 10 minutes


Comment
-----
Nothing special for this. I just booted up my Fedora 12 machine, logged in and went away for about 10 minutes to do some things in the kitchen. When I came back, I found the ABRT icon in the panel reporting this crash.
Comment 14 steffen.mann 2010-03-28 06:37:48 EDT

How to reproduce
-----
1.boot system
2.
3.


Comment
-----
boot system
Comment 15 Shankar Giri 2010-03-30 12:30:29 EDT

How to reproduce
-----
1. Immediately after starup
2.
3.


Comment
-----
Directly came up on boot.
Comment 16 laurentiu_lpascu 2010-04-12 13:19:24 EDT

How to reproduce
-----
1. Gnome Login (no user action yet)
2.
3.
Comment 17 Aram Agajanian 2010-04-12 14:56:18 EDT

How to reproduce
-----
1.  This seemed to occur when I rebooted the computer after an update.
Comment 18 Ansgar Konermann 2010-04-12 15:10:40 EDT

How to reproduce
-----
1. Unknown how to reproduce - just started Fedora. Crash was reported by ABRT immediately after gnome desktop appeared.
2.
3.
Comment 19 Jeffrey C. Ollie 2010-04-14 09:28:57 EDT

How to reproduce
-----
1. boot up and log in
Comment 20 Ansgar Konermann 2010-04-15 12:46:56 EDT

How to reproduce
-----
Unknown how to reproduce
Comment 21 Reinhard 2010-04-18 10:19:10 EDT

How to reproduce
-----
1. Single issue (up to now)
2.
3.


Comment
-----
On cold start
Comment 22 Justin Clift 2010-04-18 10:52:40 EDT
Package: blueman-1.21-2.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Unknown.  This occurred as the PC was starting up.

Comment
-----
This error was reported as the system started up.  I have no bluetooth devices installed on this PC, so this error may be related to it not being able to find any bluetooth hw/sw to use.
Comment 23 Justin Clift 2010-04-23 23:23:47 EDT
Package: blueman-1.21-2.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
This occurs when logging in, with no Bluetooth devices on the system.
Comment 24 Fran Taylor 2010-04-27 00:46:32 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.error happens when booting up
2.
3.
Comment 25 Jon Hamelin 2010-04-27 10:45:01 EDT
Package: blueman-1.21-2.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.reboot
2.
3.


Comment
-----
restarted after  update
Comment 26 Kevin Hendrickson 2010-04-28 08:16:20 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Log into account and the crash occurred
2.
3.


Comment
-----
Just started up laptop and logged into my account.
Comment 27 dr-ru 2010-04-28 12:13:41 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Just login, blueman setup to start-up with login
2.
3.


Comment
-----
Just login, blueman setup to start-up with login
Comment 28 Andrzej Olaszewski 2010-04-30 03:40:15 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Crash on startup the system.
2.
3.
Comment 29 Andrzej Olaszewski 2010-05-02 11:34:47 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I don't now.
2.
3.
Comment 30 Jim Andreu 2010-05-03 10:19:59 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Login
2.
3.


Comment
-----
This happened when I logged in. I have no bluetooth device on this desktop.
Comment 31 Gordon L Goldberg 2010-05-11 18:57:26 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Unknown. This occurred on first boot-up after package update.

Comment
-----
Unknown. This occurred on first boot-up after package update.
Comment 32 wjstarrsiii 2010-05-15 19:58:24 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Not sure 
2.
3.


Comment
-----
I "switched user" from another session and the error message appeared.
Comment 33 Jayrome 2010-05-16 03:30:03 EDT
This software is not being fixed. The standard GNOME bluetooth-manager does a better job and even integrates with NetworkManager.
Comment 34 David Sommerseth 2010-05-17 03:41:32 EDT
(In reply to comment #33)
> This software is not being fixed. The standard GNOME bluetooth-manager does a
> better job and even integrates with NetworkManager.    

I'm sorry, but what is this?  People are obviously using blueman instead of GNOME bluetooth-manager because it provides them with features they want/need/like better in blueman.

Both blueman and GNOME bluetooth-manager are available in the standard Fedora repositories.  Let's not start a discussion that we should not use blueman - that is not a fruitful discussion in this bug report.  Let's rather provide enough information for the blueman developer to fix the bugs.  And then the users themselves can decide if they want to use GNOME bluetooth-manager or blueman.
Comment 35 Daniel Demus 2010-05-17 05:19:01 EDT
(In reply to comment #33)
> This software is not being fixed. The standard GNOME bluetooth-manager does a
> better job and even integrates with NetworkManager.    

1: No, it does neither the one or the other. Fx. how do you connect to _only_ the A2DP profile on a stereo headset? How do you connect DUN? You are either talking about a different standard bluetooth manager, the documentation is woefully inadequate or you don't know what you're talking about.
Blueman on the other hand does both "do a good job" and integrate with Network Manager, (when the selinux setup is fixed)

2: Have you studied the bug reports enough to notice that wuite a few of the reporters apparently don't actually have bluetooth devices and/or are starting fc12 for the first time? How then is the other bluetooth manager the "standard". Blueman seems to be installed in a fresh install.

3: On my machine at least the blueman crash is often accompanied by a kernel oops. There seems to be something worth investigating, no?

4: Would it be such a burden to forward the suggestion from comment 3 upstream?

The whole bluetooth stack has become more and more unstable in fc12 during the last 6 months or so, so don't just shrug off bug reports.
Comment 36 BK 2010-05-17 06:21:13 EDT
To be fair, for pretty much the entire lifetime of the F12 release, blueman has done none of the things you list, as it has consistently crashed on startup, both manual and automatic.
Comment 37 David Sommerseth 2010-05-17 11:53:07 EDT
(In reply to comment #36)
> To be fair, for pretty much the entire lifetime of the F12 release, blueman has
> done none of the things you list, as it has consistently crashed on startup,
> both manual and automatic.    

Fair enough, but restarting it when the bluetooth device enabled it works as expected.  For me, it only crashes when I have not enabled the bluetooth device.

I've searched quickly in the launchpad bugtracker which blueman seems to primarily use, without finding a similar issue - but I might have overseen it.  I don't know if upstream is aware of this bug - or if it is a Fedora specific problem.

But, IMHO, the package maintainer could raise his voice at sometime, providing some more info on this issue.  And if upstream is not aware of this problem, we as a Fedora community have failed help solving this bug.
Comment 38 O. Uittenbogaard 2010-05-17 12:02:23 EDT
In my case blueman doesn't crash, but it can not start the service bluez. So it doesn't work.
Don't know what to do with it. tried to start the service manually but that also failed.
Comment 39 BK 2010-05-17 12:20:12 EDT
Sadly, this is not my experience. I just inserted my BT dongle, started blueman, and it promptly crashed. Thrice, according to the abrt-popups. Checking abrt, I have two entries for blueman, both marked as reported.

I notice this one: https://bugzilla.redhat.com/show_bug.cgi?id=530680 is marked as closed. Can't imagine why, since it's clearly still happening.
Comment 40 David M. 2010-05-17 23:46:08 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.  Start computer with loadinit 3
2.  startx
3.


Comment
-----
Happens every time I start my computer.
Comment 41 Daniel Demus 2010-05-18 03:47:34 EDT
(In reply to comment #38)
> In my case blueman doesn't crash, but it can not start the service bluez. So it
> doesn't work.
> Don't know what to do with it. tried to start the service manually but that
> also failed.    

I start bluez, (which crashes a lot more than blueman itself BTW, possibly because of related kernel oops'), using the old bluetooth manager. After that you should be able to enable bluetooth in blueman. You might have to kill everything bluetooth including removing the kernel module, before it works though.

If this isn't caused by the comment 3 problem, it might be caused by the bluez stack dying out from under blueman.
Comment 42 O. Uittenbogaard 2010-05-18 13:00:14 EDT
@Daniel
completely off-topic I suppose
but uninstalled all of bluez* and bluetooth
reinstalled only bluez
same problem
Comment 43 TJOERGES 2010-05-19 11:06:37 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
Occured afer reboot from recent automated kernel update.
Comment 44 Steven F. LeBrun 2010-05-27 08:52:12 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
Installed the current set of updates and rebooted the system.  The crash occurred during the boot up process.
Comment 45 c_w_sutherland 2010-06-04 14:15:14 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Power PC on from Cold
2.Immediate Crash
3.


Comment
-----
DELL D630 with integrated bluetooth.
Comment 46 redchernobil 2010-06-04 18:31:07 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


Comment
-----
non so cosa sia successo
Comment 47 Martin Weiss 2010-06-05 11:40:44 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.
startup :/
Comment 48 c_w_sutherland 2010-06-10 00:07:40 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Start PC and wait.
2.
3.


Comment
-----
Upgraded from stable F11 recently, and seem to have a multitude of crashes occuring in ABRT
Comment 49 Pratyush Sahay 2010-06-11 08:07:06 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Switching on bluetooth from Blueman menu
2.
3.
Comment 50 Olver Ramos 2010-06-11 19:28:57 EDT
Package: blueman-1.21-2.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Conectar el dispositivo bluetooth
2.
3.
Comment 51 Pratyush Sahay 2010-06-16 01:00:20 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Switching on bluetooth from Blueman menu
2. Switch off Wireless radio from external switch and reboot
3.


Comment
-----
Switched off the wireless radio from the hardware switch and rebooted system. Upon logon, abrt reported a blueman crash. Also, blueman also crashes when trying to switch on Bluetotth radio from blueman menu (hardware switch is on ON position).
Comment 52 John Slade 2010-06-16 13:46:43 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Gnome login
2.
3.


Comment
-----
Just logged into gnome
Comment 53 Brian C. Huffman 2010-06-17 08:02:15 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Login upon initial boot
2.
3.
Comment 54 Filip Miletic 2010-06-17 23:42:21 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.  I logged into X
Comment 55 Michal Nowak 2010-06-18 01:03:02 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.started gnome
2.
3.
Comment 56 Felix Möller 2010-06-20 18:44:55 EDT
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
just happened when logging in.

fm@thinkpad:~ # ll /tmp/blueman-applet-500 
-rw-rw-r-- 1 fm fm 6 21. Jun 00:42 /tmp/blueman-applet-500
Comment 57 Daniel Demus 2010-06-28 13:33:56 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Let a user log in
2. Log in as another user using switch user


Comment
-----
Logging in while another user is logged into another session
Comment 58 Gordon L Goldberg 2010-06-28 18:55:19 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
Crashed upon boot-up after update. Am not using bluetooth on this system.

Comment
-----
Rebooted after update.
Comment 59 bethebeast 2010-06-29 02:46:57 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
i don't know what cause the crash...
Comment 60 Tom McQueeney 2010-07-03 14:40:24 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Plug in Belkin bluetooth dongle that formerly worked in Fedora
2. Up pops the Automatic Bug Reporting Tool describing the crash
3.


Comment
-----
I plugged in my Belkin bluetooth dongle that formerly worked in Fedora, and got the crash report.
Comment 61 John Slade 2010-07-04 05:54:21 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Gnome login
2.
3.


Comment
-----
Just logged into gnome.  No bluetooth devcies attached.
Comment 62 Chris Linville 2010-07-20 23:23:26 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Logged in
2.
3.


Comment
-----
I just logged into my gnome session.
Comment 63 Chris Linville 2010-07-20 23:26:51 EDT
RE Comment 62
I have no bluetooth devices on my system
Comment 64 Stefan Thiel 2010-07-21 10:37:36 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. booting ... and the crash was reported just after login before any other action was taken
2.
3.
Comment 65 nerd__02 2010-07-23 21:13:32 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Log into Fedora
Comment 66 Stefan Thiel 2010-08-04 03:22:43 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. upon booting
2.
3.
Comment 67 Jonathan Pritchard 2010-08-07 06:27:25 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Crash immediately on boot up.
Comment 68 Bill Thielman 2010-08-07 20:13:58 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.reboot . . .
2.
3.
Comment 69 Vincent passaro 2010-08-09 18:37:11 EDT
Package: blueman-1.21-2.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Startx
2. Crashes occurs
3.
Comment 70 James Long 2010-08-12 15:48:47 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  I merely turned the computer on and logged in.
2.  Immediately upon logging in, I got this crash report.
3.  I haven't logged out to replicate it yet, just filling out this bug report.
Comment 71 Jonathan Pritchard 2010-08-17 12:15:41 EDT
Package: blueman-1.21-2.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Just logged in.
2.
3.


Comment
-----
All I did was log in and I immediately was shown this crash report by ABRT.
Comment 72 dwattttt 2010-08-18 10:15:16 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
On boot
Comment 73 Chunnayya Munnayya 2010-09-03 06:31:13 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Started up system and saw in info panel
2.
3.
Comment 74 Daniel Demus 2010-09-07 14:51:37 EDT
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Log in
Comment 75 Pham Hong Viet 2010-09-12 11:17:47 EDT
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.This crash happen right after boot
2.
3.


Comment
-----
I only use bluetooth for one time and it works fine. Then a week after, this crash appear.
Comment 76 Gordon L Goldberg 2010-09-14 08:10:45 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
crash on reboot after update
Comment 77 Basil Mohamed Gohar 2010-09-17 09:25:17 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. It would crash on startup.
2. If I try to manually run blueman-manager or blueman-applet, it would also crash
3.


Comment
-----
This is the output when attempting to run blueman-manager from the command-line (I tried to get --help):

blueman-manager --help
Loading configuration plugins
Using gconf config backend
_________
on_bluez_name_owner_changed (/usr/bin/blueman-manager:104)
org.bluez owner changed to  :1.75 
Using gconf config backend
ERROR:dbus.proxies:Introspect error on org.blueman.Applet:/: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/bin/blueman-applet exited with status 1
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 586, in msg_reply_handler
    reply_handler(*message.get_args_list(**get_args_opts))
  File "/usr/bin/blueman-manager", line 132, in on_bluez_name_owner_changed
    if not self.Applet.GetBluetoothStatus():
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.6/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Process /usr/bin/blueman-applet exited with status 1

^CTraceback (most recent call last):
  File "/usr/bin/blueman-manager", line 296, in <module>
    Blueman()
  File "/usr/bin/blueman-manager", line 179, in __init__
    gtk.main()
KeyboardInterrupt


And this is the output when attempting to run blueman-applet:

blueman-applet 
Loading configuration plugins
Using gconf config backend
there is an instance already running
Traceback (most recent call last):
  File "/usr/bin/blueman-applet", line 364, in <module>
    BluemanApplet()
  File "/usr/bin/blueman-applet", line 297, in __init__
    check_single_instance("blueman-applet")
  File "/usr/lib/python2.6/site-packages/blueman/Functions.py", line 290, in check_single_instance
    os.kill(pid, signal.SIGUSR1)
OSError: [Errno 1] Operation not permitted
Comment 78 Basil Mohamed Gohar 2010-09-17 09:44:38 EDT
As a follow-up to my previous bug report (the one right before, assuming no one posts one as I submit this), I plugged-in my USB bluetooth adapter and then restarted my computer, and Blueman started just fine without any errors.

This appears to be consistent with other reports where blueman would crash when the bluetooth devices were not connected.  Hopefully that helps in finding the source of this bug.  Blueman is a really nice utility and it's easier to use than the Bluetooth Manager that comes with Gnome - perhaps they can be merged so we don't need/have to use both.
Comment 79 Charles McGowen 2010-09-18 09:04:19 EDT
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Fedora 13 Boot up  
2.
3.


Comment
-----
This was an initial sign in.  I did not even touch the keyboard before the error occurred.
Comment 80 Charles McGowen 2010-09-18 09:09:54 EDT
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Fedora 13 Boot up  
2.
3.


Comment
-----
This was an initial sign in.  I did not even touch the keyboard before the error occurred.

Hmm.  This is a relatively new install on a new netbook.  It had been working for more than a week just fine.
I did just perform a yum update on several modules but do not remember which ones it updated.  Now
it is failing on every boot up......
Comment 81 Tim Jackson 2010-09-19 05:35:18 EDT
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  boot PC
Comment 82 mattventura 2010-09-20 00:50:59 EDT
Package: blueman-1.21-2.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Simply touching the lockfile will cause it to crash in the same function (check_single_instance), but not with the same error. 
1. Recreate lockfile ('touch /tmp/blueman-applet-1000')
2. Attempt to run blueman-applet


Comment
-----
Blueman did not handle a stale lockfile correctly. Looking at the source mentioned in the traceback, it appeared to think that it was still running, and attempted to kill a process which it did not have permission to kill. Removing the lock file caused it to work again. 

It appears that it stores the pid in the lock file, and if this lock file is storing the wrong pid, it will attempt to kill that process, which will fail unless the process is owned by the user.
Comment 83 Kjartan Maraas 2010-09-27 06:59:30 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Logged into a GNOME session
2. Blueman crashed
3.
Comment 84 Ben Root 2010-09-27 10:57:58 EDT
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
I just started up my computer and logged into my Gnome desktop.

Comment
-----
I don't think my computer even has bluetooth, and I usually disable this service (but I might have forgotten to for this install).
Comment 85 Lorenz 2010-09-28 04:50:25 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Logged on as Normal user
2. crash message appeared on desktop
3.
Comment 86 GJahchan 2010-09-28 13:58:38 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Logged in to Gnome Desktop
2.
3.
Comment 87 Filip Miletic 2010-09-28 14:13:59 EDT
Did anyone ever look into this problem?
Comment 88 mattventura 2010-09-28 14:48:52 EDT
(In reply to comment #87)
> Did anyone ever look into this problem?

Look at my comment #82. At least some of the failures are due to stale lockfiles, which could easily be remedied with a patch that could validate the lockfile, and make sure the PID contained in the lockfile is a valid blueman PID, not a PID belonging to another currently-running application.
Comment 89 John Slade 2010-09-30 04:26:02 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Logged in.  No bluetooth devices.
2.
3.
Comment 90 Jean-frederic Clere 2010-10-01 02:03:09 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
while starting the box after loggon.
Comment 91 Daniel Demus 2010-10-03 04:18:51 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Login in to desktop
Comment 92 Julian 2010-10-06 03:17:09 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Computer hochgefahren
2. Absturz
3.


Comment
-----
Bei jedem Start des Computers
Comment 93 Alexander Hunt 2010-10-14 02:47:10 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Booted the computer after it had been off for a couple hours.
2. Logged in to standard user account.
3. ABRT reported crash


Comment
-----
Kernel:   2.6.34.7-56.fc13.x86_64 
Gnome: 2.30.0
On:        MacBook 2.1, 2.0Ghz Core-Duo, 2.5Gb Ram
Comment 94 yohei2triton 2010-10-19 21:26:30 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.It crushed just after login.
2.
3.
Comment 95 Corsi P. 2010-10-23 04:06:07 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Installation on Gnome of KDE version of blutooth program from packages
2.
3.
Comment 96 Dagan McGregor 2010-10-26 14:24:36 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Login to GNOME desktop
2. Applet crash reported

Comment
-----
Didn't do anything, just logged in, and this error appeared
Comment 97 Oleg 2010-10-30 11:08:22 EDT
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Загрузка ОС
2.
3.
Comment 98 Bug Zapper 2010-11-04 00:49:17 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 99 Christoph Wickert 2010-11-04 06:48:41 EDT
As several people have reported this bug on Fedora 13, I'm raising the version accordingly.

@Juan, have you made any attempts to report this to the upstream developers?
Comment 100 GJahchan 2010-11-06 00:26:21 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. On login.
2.
3.


Comment
-----
Logged in to the system. Happens haphazardly.
Comment 101 UHQWTAEZRLVF 2010-11-08 13:11:51 EST
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Booting linux.
2. Error message occurs.
3.
Comment 102 Filip Miletic 2010-11-09 03:02:43 EST
Here's a patch that should solve at least a part of the problems with killing an inappropriate process.

http://codereview.appspot.com/2997042
Comment 103 UHQWTAEZRLVF 2010-11-10 12:43:50 EST
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Booting fedora.
2. Error message occurs.
3.
Comment 104 meme23 2010-11-11 20:36:27 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Started Fedora
2. Crash
3.
Comment 105 Dmitri 2010-11-21 21:34:48 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Error ocurred during gnome start
2.
3.


Comment
-----
I don't know how to reproduce it. It happends from time to time. May be reason is in not correct shootdown.
Comment 106 Roel van de Kraats 2010-11-23 04:54:46 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Crash during start-up
2.
3.


Comment
-----
A new start-up didn't reproduce this.
Comment 107 Serhiy 2010-11-24 02:38:46 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Install updates. Need logout.
2.Logout.
3.Login
4.Have message of bug reporter.

Comment
-----
USB Bluetooth device not connected in all time.
Comment 108 UHQWTAEZRLVF 2010-11-24 05:20:43 EST
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Booting fedora.
2. Error message occurs.
3.
Comment 109 Oleg 2010-11-26 03:28:59 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.startup OS
2.
3.
Comment 110 UHQWTAEZRLVF 2010-11-27 01:36:18 EST
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Booting fedora.
2. Error message occurs.
3.
Comment 111 UHQWTAEZRLVF 2010-11-27 01:42:52 EST
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Booting fedora.
2. Error message occurs.
3.
Comment 112 bill pemberton 2010-11-28 00:52:53 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. booted system
2.
3.
Comment 113 Michal Klich 2010-11-28 16:19:24 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Boot system
2.
3.


Comment
-----
I actually boot my system and it crashes. It does not happen always, unfortunately i can not figure out what might cause it.
Comment 114 mattventura 2010-11-28 18:35:16 EST
Created attachment 463384 [details]
A quick patch

This is a quick hack to fix the lock file issues. If the lock file makes something throw an error, it will simply delete the lock file and go on. 

This patch is a diff for /usr/lib/python2.6/site-packages/blueman/Functions.py
Comment 115 John Murphy 2010-11-30 11:38:47 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I have no idea how it happened, I do not use Bluetooth at all on my system (thought I did not even install it unless it was a dependency for something else) but it came up in ABRT when I logged in.

1.
2.
3.


Comment
-----
See ABRT... crash in package... no Bluetooth on system so no idea of any symptoms
Comment 116 bill pemberton 2010-12-01 00:17:56 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. system boot
2.
3.
Comment 117 Matěj Pakosta 2010-12-01 13:24:07 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Try to start bluetooth settings from Xfce menu
2. Nothing happens, ABRT warning comes up
Comment 118 Matěj Pakosta 2010-12-01 13:49:23 EST
As I write this, following the suggestion in #82, in F14 removing the lockfile (/tmp/blueman-applet-someNumberIDontKnowWhatMeans), in my case
/tmp/blueman-applet-500
solves the problem and blueman-applet then starts normally. I haven't tried rebooting yet, but will post after-reboot status ASAP.
Comment 119 UHQWTAEZRLVF 2010-12-01 13:53:57 EST
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Booting fedora.
2. Error message occurs.
3.
Comment 120 Matěj Pakosta 2010-12-02 10:21:51 EST
Okay, it's confirmed. After several reboots, i can say that problem is solved. Seriously, developer should do some work about that lockfile..
Comment 121 Corsi P. 2010-12-03 00:50:15 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Just autoupdate Fedora 14
2.Reboot
3.Start Alert message compare
Comment 122 adriano 2010-12-05 15:14:31 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Login in gnome desktop
2.
3.


Comment
-----
Just after login in gnome desktop
Comment 123 Yiannis 2010-12-06 10:32:41 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
start - boot - crash
Comment 124 Yiannis 2010-12-06 11:18:17 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
start - boot - crash
Comment 125 Dan 2010-12-06 16:34:38 EST
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Log in
2.
3.
Comment 126 Christoph Wickert 2010-12-06 16:44:48 EST
Juan, this is my second attempt to contact you. Please respond to this bug report, it affects more than 150 users!

The bug has already been reported to the blueman developers at https://bugs.launchpad.net/blueman/+bug/673759
There even is a patch available. Please apply it ASAP!
Comment 127 dev002 2010-12-14 11:39:05 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.startup crash
2.
3.
Comment 128 Filip Miletic 2010-12-14 12:14:28 EST
There have been a number of proposed fixes posted here, is anyone from Fedora (ever) going to take a look into patching these into the release package?  

I am willing to help out if needed.
Comment 129 piio 2010-12-17 01:59:26 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Started blueman
Comment 130 GJahchan 2010-12-18 00:49:10 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start X.
2.
3.
Comment 131 Olof Tångrot 2010-12-18 08:35:08 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Happens every now the then after log on.
2.
3.
Comment 132 Dušan Hokův 2010-12-22 03:57:42 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. start gnome
2.
3.
Comment 133 vivek kumar bajpai 2010-12-27 17:08:20 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.just open the aplication
Comment 134 Vojtěch Erben 2010-12-29 05:19:21 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.blueman crash after boot
2.
3.
Comment 135 eblix08 2010-12-29 07:24:17 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Crashes on login.
2.
3.
Comment 136 Jonathan Pritchard 2010-12-31 09:14:27 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Just booted up, ABRT showed a crash reported for Blueman.
2.
3.
Comment 137 Ted 2011-01-03 01:43:18 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I turned on the computer, then logged in, nothing else.
2.
3.
Comment 138 Gregory Trivett 2011-01-04 17:51:50 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
logged in... bluetooth crashed.. logged out.. logged back in... crashed again...
Comment 139 gpvprasad 2011-01-04 21:05:20 EST
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.just switched on CPU with blue tooth device disconnected
2.
3.
Comment 140 Filip Miletic 2011-01-05 07:54:14 EST
FYI, I whipped up a yum repository with a new blueman edition that includes the patch, as we've had no reaction from the blueman authors for quite some time.

Since the original patch was applied to blueman head and backporting to Fedora's 1.21 was time-consuming, I simply added a (big) patch that fast-forwards blueman-1.21 to current HEAD.

So, it may be that we're just trading one set of problems for another, but I'd really like to find some brave souls to check the updated package out.

The repo instructions are at the URL below:
http://www.hdlfactory.com/~filmil/#%5B%5BHDL%20Factory%20YUM%20repository%20for%20Fedora%5D%5D

All feedback is welcome.  Patches especially.
Comment 141 Christoph Wickert 2011-01-05 08:08:22 EST
Thanks Filip,
I would rather prefer a backported version of the patch but I haven't yet found the time to do it. Once we have a patch, no matter if for 1.21 or for HEAD, I can build an updated package.

Juan,
this is my 3rd attempt to contact you. I am now officially starting the 
policy for nonresponsive package maintainers [1]. If you cannot cope with this bug, that's fine, we all are willing to help you. But we need to know if you are still around and willing to maintain packages in Fedora. Please respond, thanks!

[1] https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers
Comment 142 Filip Miletic 2011-01-05 17:35:12 EST
(In reply to comment #141)
> the time to do it. Once we have a patch, no matter if for 1.21 or for HEAD, I
> can build an updated package.

Well, there is a patch against HEAD (i.e. blueman rev. 707) at http://codereview.appspot.com/2997042, does that mean that you can whip up a fix?  I looked at backporting, and it was a huge pain.  I advise not going for it unless you're a real diehard.

Maybe I'm just confused, but can you please explain what your plan for fixing this is as I'm not sure what you want to do?  

Is there anything especially problematic about just bundling a diff between release 1.21 and HEAD+my patch and having that patch included? FWIW, I built a source RPM that includes exactly this patch at:
Comment 143 Filip Miletic 2011-01-05 17:36:16 EST
continued...
(In reply to comment #142)
> Is there anything especially problematic about just bundling a diff between
> release 1.21 and HEAD+my patch and having that patch included? FWIW, I built a
> source RPM that includes exactly this patch at:
http://www.hdlfactory.com/yum/13/i686/srpm/blueman-1.21-7.fc13.src.rpm
Comment 144 slidercrank 2011-01-06 02:38:25 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1..
2.
3.


Comment
-----
I did nothing unusual. Just booted the system and a crash did wait to happen (before the gnome panel appeared)
Comment 145 slidercrank 2011-01-06 02:41:53 EST
*didn't wait to happen
Comment 146 Erik P. Olsen 2011-01-13 00:36:55 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Boot
2.Login to userID
3.Nothing else

I don't know if it's reproducible
Comment 147 Lorenz 2011-01-17 07:25:02 EST
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. power on system
2.
3.
Comment 148 Einer Petersen 2011-01-18 20:30:50 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Just did a yum update and restarted Desktop session (logged out and logged back in)
2. Rebooted and logged back in ....
3.


Comment
-----
See 1 and 2 in How did crash happen...
Comment 149 maurizio 2011-01-22 20:47:09 EST
Package: blueman-1.21-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.i have family that is sending and trying to manage the network its personal
3.


Comment
-----
i really dont know how to program operate iam a beginer in computing i dont know how to block and take control of my pc i am learning i am mexican
Comment 150 Bugreporta 2011-01-23 02:33:26 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted up
2. Logged in.
3.
Comment 151 abugreporter 2011-01-28 08:50:33 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I logged in and I suppose this program starts automatically; I don't actively use it. 
2.
3.
Comment 152 vesselam 2011-02-02 06:43:57 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.freshly started the laptop ... 
2.
3.
Comment 153 Claudiomar Rodrigues 2011-02-02 20:33:14 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. 1
2.
3.


Comment
-----
 I'm dont know !!
Comment 154 GJahchan 2011-02-09 00:43:51 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Crashes when starting X
2.
3.
Comment 155 Cristian Ciupitu 2011-02-09 12:11:53 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I logged in to GNOME
Comment 156 Gregory Trivett 2011-02-10 20:17:02 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
turned off bluetooth
Comment 157 giu.senese 2011-02-15 04:45:53 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
I don't remembere :(
Comment 158 Dave Galloway 2011-02-16 04:57:45 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.no idea
2.
3.
Comment 159 Albert Lightfoot 2011-02-20 17:49:03 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.on login, as soon as desktop appeared
2.
3.


Comment
-----
I ignored it.  If this is something to do with Bluetooth it is not installed on this machine.
Comment 160 Lorenz 2011-02-23 07:58:36 EST
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Power On Laptop
2.
3.
Comment 161 Steven Ellis 2011-02-24 16:30:32 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Crash occured as blueman startedon login
2.
3.
Comment 162 Filip Miletic 2011-02-24 16:55:31 EST
Ok, everyone, I'm outta here.  

I prepared a fixed packet in a repo at Comment 140, and since I installed it, I'm seeing no errors of this sort.  No reason to dwell here anymore (and all the error reports are getting spammy).

I'll try to push the fix upstream, but that's going to be difficult given that there's noone on the receiving end.
Comment 163 Miro Hrončok 2011-02-25 11:48:25 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Blueman aptostarted
2. Failure
Comment 164 Olof Tångrot 2011-02-25 14:45:48 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Logged on
2.
3.
Comment 165 Dave Galloway 2011-03-02 02:51:47 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I don't know
2.
3.
Comment 166 Dave Galloway 2011-03-02 11:17:32 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I don't know
2.
3.
Comment 167 wvincenti 2011-03-05 10:10:02 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted computer Blueman crashed
2.
3.
Comment 168 Horst H. von Brand 2011-03-06 19:40:24 EST
Package: blueman-1.21-7.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Rawhide)


How to reproduce
-----
1. Started a Gnome session (fallback), after X froze and I had to shut down forcefully
2.
3.
Comment 169 GJahchan 2011-03-07 02:40:05 EST
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Crashes at logon.
2.
3.


Comment
-----
Logged on to the system.
Comment 170 masoudjavadieh 2011-03-08 09:01:43 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. i do not know
2.
3.
Comment 171 Bugreporta 2011-03-08 13:56:45 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted up
2. Logged in.
3.
Comment 172 David Juran 2011-03-10 01:13:49 EST
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start up computer and log in

Not sure how reproducible
Comment 173 David Juran 2011-03-10 01:27:55 EST
comment #126 suggests that this bug indeed has been reported upstream.
Comment 174 Daniel 2011-03-12 01:50:36 EST
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
crashed!
Comment 175 proser_sistemas 2011-03-14 11:35:10 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.iniciar sesion en fedora
2.crash
3.
Comment 176 proser_sistemas 2011-03-19 03:17:50 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.iniciar sesion en fedora
2.crash
3.
Comment 177 Dave Galloway 2011-03-21 18:32:15 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I don't know
2.
3.
Comment 178 Nicolas R. 2011-03-21 20:07:11 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
just starting computer
Comment 179 Dave Galloway 2011-04-04 04:09:49 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I don't know
2.
3.
Comment 180 Cristóvão Rufino 2011-04-04 18:08:12 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Just finished booting my PC
2.
3.
Comment 181 Chuck Lasher 2011-04-04 20:18:16 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. happened during system boot immediately as I logged in.
2.
3.
Comment 182 Dave Galloway 2011-04-11 07:56:52 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I don't know
2.
3.
Comment 183 Alan Smith 2011-04-14 11:45:13 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. During bootup
2. Reboot will reproduce
3.
Comment 184 Bill Thielman 2011-04-15 21:40:17 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I do not know
2.
3.


Comment
-----
I do not know
Comment 185 djo2 2011-04-16 06:22:21 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1..
2.
3.
Comment 186 Subhash 2011-04-17 10:26:27 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Application crashed as soon as I logged in.
2.
3.
Comment 187 kupon.bg 2011-04-20 02:25:15 EDT
Package: blueman-1.21-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Boot
2.Login gnome
3.


Comment
-----
Two days ago I upgraded from Fedora 13 to Fedora 14
Comment 188 Bugreporta 2011-04-22 09:31:20 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Booted up
2. Logged in.
3. Crash message
Comment 189 Jeffrey S Austin 2011-04-23 14:56:01 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Crashed upon login
Comment 190 Mike Stefanelli 2011-04-24 08:54:02 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.while booting up
2.application crashed
3.


Comment
-----
system reboot
Comment 191 Scott Rushfeldt 2011-04-25 12:35:37 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Updated the computer using yum
2. Blueman appeared to crash on restart - was told a restart was needed to apply new policies.
Comment 192 danemarks 2011-04-28 21:22:54 EDT
Package: blueman-1.21-4.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.crash happened during system startup
2.
3.
Comment 193 orion520a 2011-05-05 14:22:32 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.startup error
2.
3.
Comment 194 Mike Stefanelli 2011-05-08 09:22:51 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.booting up system
2.
3.


Comment
-----
crashed on boot up of system
Comment 195 Mike Stefanelli 2011-05-09 14:13:29 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.crahsed booting up system
2.
3.


Comment
-----
crashed on a boot up
Comment 196 orion520a 2011-05-18 14:48:29 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.startup error
2.
3.
Comment 197 kuijstej 2011-05-19 13:33:53 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
by starting up the laptop this mmessage appear
Comment 198 Mike Stefanelli 2011-05-25 07:48:13 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.crahsed booting up system
2.
3.


Comment
-----
crashed on a boot up
Comment 199 Nitish 2011-05-26 09:57:29 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. start fedora
2. disable bluetooh
3.
Comment 200 Vladimir Scherbo 2011-06-02 11:51:48 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Gnome start
2.
3.
Comment 201 Bug Zapper 2011-06-02 13:15:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 202 Christoph Wickert 2011-06-02 14:47:52 EDT
Still crashes in F15, updating bug to avoid it gets closed.
Comment 203 Mike Stefanelli 2011-06-04 10:24:13 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.crahsed booting up system
2.
3.


Comment
-----
crashed on a boot up
Comment 204 Dave Galloway 2011-06-10 05:47:41 EDT
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I Don't Know
2.
3.
Comment 205 dev002 2011-06-12 15:13:25 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.start X
2. crash
3.
Comment 206 Dan 2011-06-21 16:08:08 EDT
Package: blueman-1.21-6.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Log in
2.
3.


Comment
-----
Nothing special, just booted my PC, and logged in. The report happened either just after or as part of the log in process, before I had launched any other programs.
Comment 207 Mike Stefanelli 2011-07-22 07:41:40 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.system boot
2.
3.
Comment 208 Lorenz 2011-09-16 02:24:01 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. At system bootup
2.
3.
Comment 209 buyit01 2011-09-21 20:09:18 EDT
Package: blueman-1.21-6.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
Just booted and logged in.
Comment 210 Elyor 2011-09-30 11:28:18 EDT
Package: blueman-1.21-4.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. it's crashed at start gnome
2.
3.
Comment 211 Olof Tångrot 2011-10-01 09:26:30 EDT
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
Crash after login as usual
Comment 212 Sergey Rozhkov 2011-10-04 14:43:56 EDT
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. log in system
2.
3.
Comment 213 Robert V. Miciovici 2011-10-18 08:41:16 EDT
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
starting up the laptop...
Comment 214 lazeroptyx 2011-11-07 01:35:02 EST
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. It just happened without me launching Bluetooth.
2.
3.


Comment
-----
No idea what happened. Just told by the GUI something is wrong. I did not ask Bluetooth to do anything.
Comment 215 gurnik alex 2011-11-30 02:18:22 EST
Package: blueman-1.21-8.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.system  startup. sometimes
2.
3.
Comment 216 Fedora End Of Life 2012-08-07 15:38:00 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.